package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag495;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT495Creator;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class Tag79Creator extends AbsTagCreate {
    private MT495Creator mt495Creator;
    public Tag79Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt495Creator = (MT495Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag79Value = mt495Creator.getNarrativeDescriptionofQueryRelates();
        mt495Creator.set("79",tag79Value);
    }
}
